### Method

# Ide TreeModel get_node

#### Declaration

    IdeTreeNode*
    ide_tree_model_get_node (
      IdeTreeModel* self,
      GtkTreeIter* iter
    )

#### Description

Gets the `IdeTreeNode` found at `iter`.

Available since: | 3.32

#### Parameters

`iter` | `GtkTreeIter`
| A `GtkTreeIter`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeTreeNode`
| An `IdeTreeNode` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.